Summary:	Utilities to create and check MS-DOS FAT filesystems
Summary(es.UTF-8):	Un programa que crea sistemas de archivo de MS-DOS (FAT) en Linux
Summary(pl.UTF-8):	Narzędzia do tworzenia i sprawdzania systemów plikowych MS-DOS FAT
Summary(pt_BR.UTF-8):	Um programa que cria sistemas de arquivo do MS-DOS (FAT) no Linux
Name:		dosfstools
Version:	4.2
Release:	1
License:	GPL v3+
Group:		Applications/System
#Source0Download: https://github.com/dosfstools/dosfstools/releases
Source0:	https://github.com/dosfstools/dosfstools/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	49c8e457327dc61efab5b115a27b087a
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-pl-man-pages.tar.bz2
# Source1-md5:	28913ed142dac33624b14ce1e1ce8803
URL:		https://github.com/dosfstools/dosfstools
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.402
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	mkdosfs-ygg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Inside of this package there are two utilities to create and to check
MS-DOS FAT filesystems on either harddisks or floppies under Linux.
This version uses the enhanced boot sector/superblock format of DOS
3.3+ as well as provides a default dummy boot sector code.

%description -l es.UTF-8
El programa mkdosfs se usa para crear un sistema de archivos FAT
(MS-DOS) a partir de Linux.

Si su computador necesita usar sistemas de archivo MS-DOS usted debe
instalar el paquete dosfstools.

%description -l pl.UTF-8
W pakiecie znajdują się dwa narzędzia służące do tworzenia i
sprawdzania systemów plików FAT na dyskach twardych lub dyskietkach
pod Linuksem. Wersja ta używa ulepszonego formatu sektora
uruchomieniowego/superbloku używanego w DOS-ie 3.3 i nowszych oraz
obsługuje pusty kod sektora uruchomieniowego.

%description -l pt_BR.UTF-8
O programa mkdosfs é usado para criar um sistema de arquivos FAT
(MS-DOS) a partir do Linux.

O pacote dosfstools deve ser instalado se sua máquina precisa usar
sistemas de arquivo MS-DOS.

%prep
%setup -q

%build
%configure \
	--enable-compat-symlinks

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README*

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README doc/*
%attr(755,root,root) %{_sbindir}/dosfsck
%attr(755,root,root) %{_sbindir}/dosfslabel
%attr(755,root,root) %{_sbindir}/fatlabel
%attr(755,root,root) %{_sbindir}/fsck.fat
%attr(755,root,root) %{_sbindir}/fsck.msdos
%attr(755,root,root) %{_sbindir}/fsck.vfat
%attr(755,root,root) %{_sbindir}/mkdosfs
%attr(755,root,root) %{_sbindir}/mkfs.fat
%attr(755,root,root) %{_sbindir}/mkfs.msdos
%attr(755,root,root) %{_sbindir}/mkfs.vfat
%{_mandir}/man8/dosfsck.8*
%{_mandir}/man8/dosfslabel.8*
%{_mandir}/man8/fatlabel.8*
%{_mandir}/man8/fsck.fat.8*
%{_mandir}/man8/fsck.msdos.8*
%{_mandir}/man8/fsck.vfat.8*
%{_mandir}/man8/mkdosfs.8*
%{_mandir}/man8/mkfs.fat.8*
%{_mandir}/man8/mkfs.msdos.8*
%{_mandir}/man8/mkfs.vfat.8*
%lang(pl) %{_mandir}/pl/man8/*
%changelog
* Thu Feb 11 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dosfstools.git;a=log;h=master

* Wed Feb 10 2021 Jan Palus <atler@pld-linux.org> 3d3c1b9
- up to 4.2

* Tue Mar 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 8f025b7
- new URLs, updated to 4.1

* Mon Jul 27 2015 Marcin Krol <hawk@tld-linux.org> 58db9a6
- crap, wrong repo again, need more sleep

* Mon Jul 27 2015 Marcin Krol <hawk@tld-linux.org> c0e75b7
- df, release 3

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 9e8dd39
- x32 rebuild
- release 2 (by relup.sh)

* Sun Mar 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 4a89372
- updated to 3.0.26

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 798c414
- updated to 3.0.25

* Sun Nov 24 2013 Łukasz Kieś <kiesiu@pld-linux.org> 62582da
- updated to 3.0.24

* Thu Oct 17 2013 Kacper Kornet <draenog@pld-linux.org> 9afb957
- updated to 3.0.23

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 499dda5
- updated to 3.0.22

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 3712f5e
- no parallel install

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 88227d7
- updated to 3.0.20

* Fri May 31 2013 Kacper Kornet <draenog@pld-linux.org> 19104e7
- updated to 3.0.17

* Fri Mar 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 6531378
- full GPL version info

* Thu Mar 21 2013 Łukasz Kieś <kiesiu@pld-linux.org> 9740544
- updated to 3.0.16
- better Source0 URL, uses .xz sources

* Wed Nov 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 7a01984
- updated to 3.0.12

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 60b1299
- dropped pre-cvs changelog

* Tue Jan 04 2011 Caleb Maclennan <caleb@alerque.com> 82ab262
- Up to 3.0.11

* Sat Sep 25 2010 Jakub Bogusz <qboosh@pld-linux.org> fb4c74e
- updated to 3.0.10
- rely on rpm macros to convert man symlinks into .so links

* Sun Feb 07 2010 Adam Gołębiowski <adamg@pld-linux.org> a845506
- updated to 3.0.9; new homepage; GPL v3

